Package org.eclipse.m2m.atl.adt.runner

# Class CreateModuleMANIFESTWriter

java.lang.Object
org.eclipse.m2m.atl.adt.runner.CreateModuleMANIFESTWriter

public class CreateModuleMANIFESTWriter extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static String`
`nl`
`final String`
`NL`
`protected final String`
`TEXT_1`
`protected final String`
`TEXT_2`
`protected final String`
`TEXT_3`
`protected final String`
`TEXT_4`
`protected final String`
`TEXT_5`
`protected final String`
`TEXT_6`
`protected final String`
`TEXT_7`
`protected final String`
`TEXT_8`

## Constructor Summary

Constructors
Constructor
Description
`CreateModuleMANIFESTWriter()`

## Method Summary

Modifier and Type
Method
Description
`static CreateModuleMANIFESTWriter`
`create(String lineSeparator)`
`String`
`generate(Object argument)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### nl

protected static String nl

### NL

public final String NL

### TEXT_1

protected final String TEXT_1

### TEXT_2

protected final String TEXT_2

### TEXT_3

protected final String TEXT_3

### TEXT_4

protected final String TEXT_4

### TEXT_5

protected final String TEXT_5

### TEXT_6

protected final String TEXT_6

See Also:
  - Constant Field Values

### TEXT_7

protected final String TEXT_7

### TEXT_8

protected final String TEXT_8

## Constructor Details

### CreateModuleMANIFESTWriter

public CreateModuleMANIFESTWriter()

## Method Details

### create

public static CreateModuleMANIFESTWriter create(String lineSeparator)

### generate

public String generate(Object argument)